import type { Plugin } from 'unified';
import { VFile } from 'vfile';
import type { MessageInfo, GenericNode, GenericParent } from 'myst-common';
import type { Body } from 'jats-tags';
import type { ISession } from 'jats-xml';
import { Jats } from 'jats-xml';
import type { Handler, IJatsParser, Options, StateData } from './types.js';
import type { ProjectFrontmatter } from 'myst-frontmatter';
type Attributes = Record<string, any>;
export declare class JatsParser implements IJatsParser {
    file: VFile;
    data: StateData;
    options: Options;
    handlers: Record<string, Handler>;
    stack: GenericNode[];
    jats: Jats;
    unhandled: string[];
    constructor(file: VFile, jats: Jats, opts?: Options);
    top(): GenericNode;
    warn(message: string, source?: string, opts?: MessageInfo): void;
    error(message: string, source?: string, opts?: MessageInfo): void;
    pushNode(el?: GenericNode): GenericNode | undefined;
    text(text?: string): GenericNode<Record<string, any>> | {
        type: "text";
        value: string;
    } | undefined;
    renderChildren(node: GenericNode): void;
    renderInline(node: GenericNode, name: string, attributes?: Attributes): void;
    addLeaf(name: string, attributes?: Attributes): void;
    openNode(name: string, attributes?: Attributes, isLeaf?: boolean): void;
    closeNode(): GenericNode | undefined;
}
export declare const jatsConvertPlugin: Plugin<[Jats, Options?], Body, Body>;
export declare function jatsConvertTransform(jats: Jats, opts?: Options): {
    tree: GenericParent;
    frontmatter: ProjectFrontmatter;
};
export declare function jatsConvert(session: ISession, input?: string, opts?: {
    frontmatter?: 'page' | 'project';
    dois?: boolean;
    bibtex?: boolean;
}): Promise<void>;
export {};
//# sourceMappingURL=index.d.ts.map