import type { GenericParent } from 'myst-common';
import type { ProjectFrontmatter } from 'myst-frontmatter';
/**
 * If there is a section titled abbreviations, try to move abbreviations to frontmatter
 *
 * There must be nothing else in the abbreviations section and the text must be
 * semicolon-delimited pairs of comma-separated value/definition.
 *
 * For example:
 *
 * # Abbreviations
 *
 * ACC1, acetyl-CoA carboxylase-1; BHT, butylated hydroxytoluene;
 * CER, ceramides; FASN, fatty acid synthase; FDR, false discovery rate.
 */
export declare function abbreviationSectionTransform(tree: GenericParent, frontmatter: Pick<ProjectFrontmatter, 'abbreviations'>): void;
/**
 * If there is a footnote that starts with "abbreviations:" try to move abbreviatons to frontmatter
 *
 */
export declare function abbreviationFootnoteTransform(tree: GenericParent, frontmatter: Pick<ProjectFrontmatter, 'abbreviations'>): void;
//# sourceMappingURL=abbreviations.d.ts.map