import type { GenericParent } from 'myst-common';
/**
 * Handle sections and headers in abstract
 *
 * This removes "Abstract" title and prevents block nesting
 * inside the abstract.
 */
export declare function abstractTransform(tree: GenericParent): void;
/**
 * Pull the first two sentences from an abstract to use as description
 *
 * The end of a sentence is defined as "<lower-case word>. <Upper-case word>"
 * This means that a name like "Mr. Smith" will not count as the end of a sentence.
 * However it also means a sentence that ends in an upper-case word (or a number)
 * will not count as a new sentence, so the description may be more than two
 * sentences.
 *
 * If the abstract is 2 sentences or less (computed as described above), the
 * entire abstract will be returned as the description.
 */
export declare function descriptionFromAbstract(abstract: string): string;
//# sourceMappingURL=abstract.d.ts.map