import { selectAll } from 'unist-util-select';
import { remove } from 'unist-util-remove';
import { copyNode } from '../utils.js';
/**
 * Move any supplementary-material marked as position=float to end of document
 */
export function floatToEndTransform(body) {
    var _a;
    const floatSupplementaryMaterial = selectAll('supplementary-material[position=float]', body);
    if (floatSupplementaryMaterial.length === 0)
        return;
    (_a = body.children) === null || _a === void 0 ? void 0 : _a.push({ type: 'hr' });
    floatSupplementaryMaterial.forEach((node) => {
        var _a;
        const copy = copyNode(node);
        delete copy.position;
        (_a = body === null || body === void 0 ? void 0 : body.children) === null || _a === void 0 ? void 0 : _a.push(copy);
        node.type = '__delete__';
    });
    remove(body, '__delete__');
}
